Skip to main content
`Ctrl`+`K`

# PetscDualSpaceLagrangeSetContinuity

Indicate whether the element is continuous

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeSetContinuity(PetscDualSpace sp, PetscBool continuous)

Logically Collective

## Input Parameters

- sp - the `PetscDualSpace`

- continuous - flag for element continuity

## Options Database Key

- -petscdualspace_lagrange_continuity (true|false) - use a continuous element

## See Also

`PETSCDUALSPACELAGRANGE`, `PetscDualSpace`, `PetscDualSpaceLagrangeGetContinuity()`

## Level

intermediate

## Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

## Implementations

PetscDualSpaceLagrangeSetContinuity_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceLagrangeSetContinuity_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages